Subject: Re: git refuses to switch to older branches

From: Martin Waitz <[email-masked]>
Date: Sun, 20 Aug 2006 20:15:11 +0200

hoi :)

On Sun, Aug 20, 2006 at 02:48:34PM +0200, Johannes Schindelin wrote:
> On Sun, 20 Aug 2006, Martin Waitz wrote:
> > On Sun, Aug 20, 2006 at 12:44:57AM +0200, Petr Baudis wrote:
> > > Dear diary, on Sun, Aug 20, 2006 at 12:39:20AM CEST, I got a letter
> > > where Junio C Hamano <[email-masked]> said that...
> > > > But I would suggest you to be _extremely_ careful if you want to
> > > > try this.  I do not have an example offhand, but I would not be
> > > > surprised at all if there is a valid use case where it is useful
> > > > to have a pattern that matches a tracked file in .gitignore
> > > > file.
> > > 
> > >   *.o and binary blobs of closed-source software.
> > 
> > but if you want to switch from one branch which has the .o file
> > built from source to another branch which has the .o file tracked
> > in binary form, wouldn't you want to remove the generated file
> > in order to store the tracked one from the new branch?
> 
> Not necessarily. Sometimes you have files in your working directory, which 
> are not in your repository, you know?

Sure. But we are only talking about files which are explicitly
ignored in one branch and are tracked in another branch.

Perhaps it makes sense to check that the file is _not_ ignored in the
other branch (in which it is tracked).
Would such a check make everybody happy?

Is there an easy way to check if some file is marked as ignored in
an other branch?

-- 
Martin Waitz